#!/bin/bash

# source ./devel.bash 

source ./setup.bash

if [ ! -d "devel/virtualenv-1.10" ] ; then
    echo "Untarring dev/virtualenv-1.10.tar.gz"
    cd "devel" && tar xvzf "virtualenv-1.10.tar.gz" && cd ..
fi

if [ ! -d "$GEXT_MARS_INSTALLED/virtualenv-python2" ] ; then
    python devel/virtualenv-1.10/virtualenv.py --python=python2 $GEXT_MARS_INSTALLED/virtualenv-python2
else
    echo "" >&2
    echo "!!!!" >&2
    echo "! VirtualEnv Python2 already exists: $GEXT_MARS_INSTALLED/virtualenv-python2" >&2
    echo "!!!!" >&2
    echo "" >&2
fi

echo "****"
echo "* To activate this version of python, enter:" 
echo "*   source \"$GEXT_MARS_INSTALLED/virtualenv-python2/bin/activate\""
echo "****"


